Summary:	A simple CD burning tool for the Xfce Desktop Environment
Name:		xfburn
Version:	0.2.0
Release:	%mkrel 5
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://foo-projects.org/~pollux/xfburn
Source0:	%{name}-%{version}.tar.bz2 
BuildRequires:	libxfcegui4-devel >= 4.3.90.2 
BuildRequires:	dbus-devel
BuildRequires:	thunar-devel
BuildRequires:	hal-devel
BuildRequires:	exo-devel
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
##1 or more are needed for burning
Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:	cdrdao
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfburn is a simple CD burning tool acting as a front-end 
to mkisofs, cdrdao, readcd and cdrecord. It can blank CD-RW, 
copy CDs, burn and create iso images, and burn personal 
composition of data.

%prep
%setup -q

%build
# Disable check for burning software, only used at runtime
export cdrdao_found=yes
export cdrecord_found=yes
export mkisofs_found=yes
export readcd_found=yes

%configure2_5x \
	--enable-final \
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert icons/24x24/stock_xfburn-burn-cd.png -geometry 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert icons/24x24/stock_xfburn-burn-cd.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert icons/24x24/stock_xfburn-burn-cd.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/* 

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor 

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*.ui
%{_iconsdir}/hicolor/*


%changelog
* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-5mdv2007.1
+ Revision: 34326
- fix icon name

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-4mdv2008.0
+ Revision: 32896
- set requires on cdrkit and cdrkit-genisoimage
- drop old menu style
- add macros to %%post and %%postun
- spec file clean


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.0-3mdv2007.0
+ Revision: 103271
- Rebuild for latest xfce

* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.2.0-2mdv2007.1
+ Revision: 90131
- BuildRequires desktop-file-utils
- BuildRequires ImageMagick
- Also disable check for cdrecord, readcd, mkisofs
- Disable check for cdrdao, it is only needed at runtime
- Import xfburn

* Sat Aug 12 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.0-1mdv2007.0 
- 0.2.0
- drop patcg.....fixed upstream
- adjust .desktop
- fix section in menu

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1.0-1mdv2007.0
- initial release

